#ifndef __FAVORITES_H__
#define __FAVORITES_H__

#define FAV_CONFIG "favorites-plugin"

void favorites_init(void);
void favorites_destroy(void);
/* connection changed callback */
void favorites_conn_changed(MpdObj *mi, int connect, void *userdata);
/* browser */
void favorites_browser_add(GtkWidget *cat_tree);
void favorites_browser_selected(GtkWidget *container);
void favorites_browser_unselected(GtkWidget *container);
void favorites_browser_changed(GtkWidget *tree, GtkTreeIter *iter);
void favorites_browser_fill_list(void);
int favorites_browser_cat_menu(GtkWidget *menu, int type, GtkWidget *tree, GdkEventButton *event);
void favorites_browser_row_activated(GtkTreeView *tree, GtkTreePath *path, GtkTreeViewColumn *col, gpointer data);
/* mw intergration */
int favorites_go_menu(GtkWidget *menu);
int favorites_key_press(GtkWidget *mw, GdkEventKey *event, int type);
/**
 */
void favorites_add_current_song(void);
void favorites_save(void);
void favorites_create_playlist(void);
void favorites_clear(void);
#endif
